Description: Make duneproject aware that opm-models is merged with opm-simulators
 This is needed to kepp autopkgtests  from testing working. Can safely be
 removed laters
Author: markus@dr-blatt.de
Last-Update: 2024-11-18
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/bin/duneproject
+++ b/bin/duneproject
@@ -224,6 +224,9 @@ while [ "$DATACORRECT" != "y" -a "$DATAC
       read -p "   Enter space-separated list: " DEPENDENCIES
     done
     set +e
+    if ! $(echo "$MODULES" | grep opm-models &> /dev/null); then
+      DEPENDENCIES="$(echo "$DEPENDENCIES" | sed "s/opm-models/opm-simulators/g")"
+    fi
     modulesexist "$DEPENDENCIES" "$MODULES"
     DEPOK=$?
     set -e
